Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Comments by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
    "post_id": "1287876623560800",
    "post_url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
    "comment_id": "Y29tbWVudDox...",
    "user_name": "Norma Ester Mercado",
    "user_id": "pfbid0...",
    "user_url": "https://www.facebook.com/normaester.mercado.1",
    "date_created": "2026-04-02T23:46:29.000Z",
    "comment_text": "Great post, thanks for sharing!",
    "num_likes": 1,
    "num_replies": 0,
    "attached_files": null,
    "type": "Comment",
    "reply": true,
    "parent_comment_id": "Y29tbWVudDox..."
  }
]

Query Parameters

dataset_id
string
default:"gd_lkay758p1eanlolqw8"
required
The dataset ID used for this request.
Must be set to gd_lkay758p1eanlolqw8 to collect Facebook comments data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/NASA/posts/1234567890"},
    {"url": "https://www.facebook.com/Meta/posts/9876543210"}
  ]
}
[
  {
    "url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
    "post_id": "1287876623560800",
    "post_url": "https://www.facebook.com/Pagina12ok/posts/pfbid0...",
    "comment_id": "Y29tbWVudDox...",
    "user_name": "Norma Ester Mercado",
    "user_id": "pfbid0...",
    "user_url": "https://www.facebook.com/normaester.mercado.1",
    "date_created": "2026-04-02T23:46:29.000Z",
    "comment_text": "Great post, thanks for sharing!",
    "num_likes": 1,
    "num_replies": 0,
    "attached_files": null,
    "type": "Comment",
    "reply": true,
    "parent_comment_id": "Y29tbWVudDox..."
  }
]